SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Generic)  >   ntp Vendors:   ntp.org
ntp crypto_recv() Autokey Stack Overflow Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1022243
SecurityTracker URL:  http://securitytracker.com/id/1022243
CVE Reference:   CVE-2009-1252   (Links to External Site)
Date:  May 18 2009
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 4.2.4p7, and 4.2.5 prior to 4.2.5p74
Description:   A vulnerability was reported in ntp. A remote user can execute arbitrary code on the target system.

A remote user can send specially crafted data to the target ntpd server to trigger a stack overflow and execute arbitrary code on the target system. The code will run with the privileges of the target ntpd service.

Systems compiled with OpenSSL support and configured to use autokey are affected.

The vulnerability resides in 'ntpd/ntp_crypto.c'.

The original advisory is available at:

http://www.kb.cert.org/vuls/id/853097

Harland Stenn of isc.org and Chis Ries of CMU reported this vulnerability.

Impact:   A remote user can execute arbitrary code on the target system.
Solution:   The vendor has issued a fix (4.2.4p7 and 4.2.5p74), available at:

http://www.ntp.org/downloads.html

Vendor URL:  www.ntp.org/ (Links to External Site)
Cause:   Boundary error
Underlying OS:   Linux (Any), UNIX (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
May 18 2009 (Red Hat Issues Fix) ntp crypto_recv() Autokey Stack Overflow Lets Remote Users Execute Arbitrary Code   (bugzilla@redhat.com)
Red Hat has released a fix for Red Hat Enterprise Linux 4.
May 18 2009 (Red Hat Issues Fix) ntp crypto_recv() Autokey Stack Overflow Lets Remote Users Execute Arbitrary Code   (bugzilla@redhat.com)
Red Hat has released a fix for Red Hat Enterprise Linux 5.
Jun 10 2009 (FreeBSD Issues Fix) ntp crypto_recv() Autokey Stack Overflow Lets Remote Users Execute Arbitrary Code   (FreeBSD Security Advisories <security-advisories@freebsd.org>)
FreeBSD has released a fix.
Jul 1 2009 (NetBSD Issues Fix) ntp crypto_recv() Autokey Stack Overflow Lets Remote Users Execute Arbitrary Code
NetBSD has issued a fix for NetBSD 4.0, 4.0.1, and 5.0.
Jul 22 2009 (HP Issues Fix) ntp crypto_recv() Autokey Stack Overflow Lets Remote Users Execute Arbitrary Code   (security-alert@hp.com)
HP has released a fix for HP-UX 11.11, 11.23, and 11.31.
Sep 22 2011 (HP Issues Fix for OpenVMS) ntp crypto_recv() Autokey Stack Overflow Lets Remote Users Execute Arbitrary Code
HP has issued a fix for OpenVMS 5.4, 5.5, 5.6, and 5.7.



 Source Message Contents

Date:  Mon, 18 May 2009 19:09:30 -0400
Subject:  ntp ntpd


http://www.kb.cert.org/vuls/id/853097

CVE-2009-1252
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC